## strcpy

#### OS/161 Reference Manual

### Name

strcpy - copy string

### Library

Standard C Library (libc, -lc)

### Synopsis

`#include <string.h>`
`char *`
`strcpy(char *`dest`, const char *`src`);`

### Description

The contents of the string src are copied into dest.

### Restrictions

If dest does not point to enough space to hold the string, the resulting behavior is undefined.

If the memory areas pointed to by dest and src overlap, the behavior is undefined.

### Return Values

`strcpy` returns dest.